
% usage:
%  ?- conv('example/bookmark.xbel', 'bookmark.html').

:- ['xbel2html-lib', 'io-utils', 'utf8'].

conv(FROMFILE, TOFILE) :-
	file_get(FROMFILE, X), !,
	 ucs_utf8(UX, X), !,
	  xml_document(D1, UX), !,
	   % write(D1),
	   xbel_to_xhtml(D1, D2), !,
	  xml_document(D2, UY), !,
	 ucs_utf8(UY, Y), !,
	file_put(TOFILE, Y).
